Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/OVERFLOW/EXP00/namelist_cfg
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/OVERFLOW/EXP00/namelist_cfg	(revision 6901)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/OVERFLOW/EXP00/namelist_cfg	(revision 6904)
@@ -3,12 +3,14 @@
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
 !-----------------------------------------------------------------------
-&namusr_def    !   OVERFLOW user defined namelist
-!-----------------------------------------------------------------------
-   ln_zco      =  .true.   ! z-coordinate flag
-   ln_zps      = .false.   ! z-partial-step coordinate flag
-   ln_sco      = .false.   ! s-coordinate flag
-   rn_dx       =    100.   ! horizontal resolution in meters
-   rn_dz       =     20.   ! vertical   resolution in meters
-/
+&namusr_def    !   User defined :   OVERFLOW configuration 
+!-----------------------------------------------------------------------
+   !                       !  type of vertical coordinate
+   ln_zco      = .true.       ! z-coordinate
+   ln_zps      = .false.      ! z-partial-step coordinate
+   ln_sco      = .false.      ! s-coordinate   
+   rn_dx       = 1000.     !  horizontal resolution   [meters]
+   rn_dz       =   20.     !  vertical   resolution   [meters]
+/
+!
 !-----------------------------------------------------------------------
 &namrun        !   parameters of the run
@@ -17,5 +19,5 @@
    cn_exp      =   "overfl-FCT2-flux-ubs-ens"  !  experience name
    nn_it000    =       1   !  first time step
-   nn_itend    =   12240   ! for 34h of simulation   
+   nn_itend    =   10   ! for 34h of simulation  (=12240) 
    nn_istate   =       0   !  output the initial state (1) or not (0)
    nn_stock    =   12240   !  frequency of creation of a restart file (modulo referenced to 1)
@@ -27,5 +29,5 @@
    ln_read_cfg = .false.   !  (=T) read the domain configuration in 'domain_cfg.nc" file
    !                       !  (=F) user defined configuration  ==>>>  see usrdef(_...) modules
-   ln_write_cfg= .false.   !  (=T) create the domain configuration file
+   ln_write_cfg= .true. !.false.   !  (=T) create the domain configuration file
    !
    cp_cfg      = "overflow" !  name of the configuration
@@ -61,6 +63,6 @@
    sn_sal  = 'output.init_0000'    ,          1        ,'vosaline' ,    .true.    , .true. , 'yearly'   , ''       ,   ''    ,    ''
    !
-   cn_dir        = './'     !  root directory for the location of the runoff files
-   ln_tsd_init   = .true.   !  Initialisation of ocean T & S with T &S input data (T) or not (F)
+   cn_dir        = './'      !  root directory for the location of the runoff files
+   ln_tsd_init   = .false.   !  Initialisation of ocean T & S with T &S input data (T) or not (F)
    ln_tsd_tradmp = .false.   !  damping of ocean T & S toward T &S input data (T) or not (F)
 /
@@ -191,14 +193,4 @@
 &namtra_ldfeiv !   eddy induced velocity param.
 !----------------------------------------------------------------------------------
-   ln_ldfeiv     =.false.   ! use eddy induced velocity parameterization
-   ln_ldfeiv_dia =.false.   ! diagnose eiv stream function and velocities
-   rn_aeiv_0     = 0.   ! eddy induced velocity coefficient   [m2/s]
-   nn_aei_ijk_t  = 0      ! space/time variation of the eiv coeficient
-   !                                !   =-20 (=-30)    read in eddy_induced_velocity_2D.nc (..._3D.nc) file
-   !                                !   =  0           constant
-   !                                !   = 10 F(k)      =ldf_c1d
-   !                                !   = 20 F(i,j)    =ldf_c2d
-   !                                !   = 21 F(i,j,t)  =Treguier et al. JPO 1997 formulation
-   !                                !   = 30 F(i,j,k)  =ldf_c2d + ldf_c1d
 /
 !-----------------------------------------------------------------------
@@ -220,4 +212,5 @@
 !-----------------------------------------------------------------------
    ln_vvl_zstar  = .true.           !  zstar vertical coordinate
+/
 !-----------------------------------------------------------------------
 &namdyn_vor    !   option of physics/algorithm (not control by CPP keys)
Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/OVERFLOW/MY_SRC/usrdef_hgr.F90
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/OVERFLOW/MY_SRC/usrdef_hgr.F90	(revision 6901)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/OVERFLOW/MY_SRC/usrdef_hgr.F90	(revision 6904)
@@ -46,5 +46,5 @@
       !!
       !! ** Method  :   set all intent(out) argument to a proper value
-      !!                OVERFLOW configuration : uniform grid spacing (1km)
+      !!                OVERFLOW configuration : uniform grid spcing (1km)
       !!                without Coriolis force (f=0)
       !!
@@ -71,5 +71,5 @@
       IF(lwp) WRITE(numout,*)
       IF(lwp) WRITE(numout,*) 'usr_def_hgr : OVERFLOW configuration bassin'
-      IF(lwp) WRITE(numout,*) '~~~~~~~~~~~   uniform 1km grid spacing WITHOUT Coriolis force (f=0)'
+      IF(lwp) WRITE(numout,*) '~~~~~~~~~~~   uniform grid spacing WITHOUT Coriolis force (f=0)'
       !
       !                       !==  grid point position  ==!   (in kilometers)
@@ -77,13 +77,13 @@
       DO jj = 1, jpj
          DO ji = 1, jpi             ! longitude
-            pglamt(ji,jj) = zfact * (  - 0.5 + ( REAL( ji-1 + nimpp-1 )       , wp )  )
-            pglamu(ji,jj) = zfact * (  - 0.5 + ( REAL( ji-1 + nimpp-1 ) + 0.5 , wp )  )
-            pglamv(ji,jj) = pglamt(ji,jj)
-            pglamf(ji,jj) = pglamu(ji,jj)
+            plamt(ji,jj) = zfact * (  - 0.5 + REAL( ji-1 + nimpp-1 , wp )  )  
+            plamu(ji,jj) = zfact * (          REAL( ji-1 + nimpp-1 , wp )  )
+            plamv(ji,jj) = plamt(ji,jj)
+            plamf(ji,jj) = plamu(ji,jj)
             !                       ! latitude
-            pgphit(ji,jj) = zfact * (  - 0.5 + ( REAL( jj-1 + njmpp-1 )       , wp )  )
-            pgphiu(ji,jj) = pgphit(ji,jj)
-            pgphiv(ji,jj) = zfact * (  - 0.5 + ( REAL( jj-1 + njmpp-1 ) + 0.5 , wp )  )
-            pgphif(ji,jj) = pgphiv(ji,jj)
+            pphit(ji,jj) = zfact * (  - 0.5 + REAL( jj-1 + njmpp-1 , wp )  )
+            pphiu(ji,jj) = pphit(ji,jj)
+            pphiv(ji,jj) = zfact * (          REAL( jj-1 + njmpp-1 , wp )  )
+            pphif(ji,jj) = pphiv(ji,jj)
          END DO
       END DO
Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/OVERFLOW/MY_SRC/usrdef_istate.F90
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/OVERFLOW/MY_SRC/usrdef_istate.F90	(revision 6901)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/OVERFLOW/MY_SRC/usrdef_istate.F90	(revision 6904)
@@ -14,4 +14,5 @@
    !!----------------------------------------------------------------------
    USE par_oce        ! ocean space and time domain
+   USE dom_oce , ONLY : gphit 
    USE phycst         ! physical constants
    !
@@ -61,11 +62,11 @@
       !
       !                          ! T & S profiles
-      zdam = 20.e+3
-      pts(:,:,:,jp_tem) = 20._wp * tmask(:,:,:)
+      zdam = 20.                      ! in kilometers
+      pts(:,:,:,jp_tem) = 20._wp * ptmask(:,:,:)
       DO jk = 1, jpkm1
-         WHERE( gphit(:,:) <= zdam )   pts(:,:,jk,jp_tem) = 10._wp * tmask(:,:,jk)
+         WHERE( gphit(:,:) <= zdam )   pts(:,:,jk,jp_tem) = 10._wp * ptmask(:,:,jk)
       END DO
       !
-      pts(:,:,:,jp_sal) = 35. * tmask(:,:,:)
+      pts(:,:,:,jp_sal) = 35._wp * ptmask(:,:,:)
       !   
    END SUBROUTINE usr_def_istate
Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/OVERFLOW/MY_SRC/usrdef_nam.F90
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/OVERFLOW/MY_SRC/usrdef_nam.F90	(revision 6901)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/OVERFLOW/MY_SRC/usrdef_nam.F90	(revision 6904)
@@ -47,5 +47,5 @@
       !! ** Method  :   read in namusr_def containing all the user specific namelist parameter
       !!
-      !!                Here OVERFLOW configuration
+      !!                Here GYRE configuration
       !!
       !! ** input   : - namusr_def namelist found in namelist_cfg
@@ -55,8 +55,10 @@
       INTEGER                       , INTENT(out) ::   kperio          ! lateral global domain b.c. 
       !
-      INTEGER ::   ios   ! Local integer
+      INTEGER ::   ios, ii   ! Local integer
       !!
       NAMELIST/namusr_def/ ln_zco, ln_zps, ln_sco, rn_dx, rn_dz
       !!----------------------------------------------------------------------
+      !
+      ii = 1
       !
       REWIND( numnam_cfg )          ! Namelist namusr_def (exist in namelist_cfg only)
@@ -64,9 +66,7 @@
 902   IF( ios /= 0 )   CALL ctl_nam ( ios , 'namusr_def in configuration namelist', .TRUE. )
       !
-!!gm  This does not work...  I don't know how to write namusr_def in "output.namelist.dyn"
-      WRITE( ldnam(ii), namusr_def )
-!!gm
+      WRITE( ldnam(:), namusr_def )
       !
-      ! Global Domain size:  OVERFLOW domain is 200 km x 3 grid-points x 2000 m
+      ! Global Domain size:  OVERFLOW domain is   200 km x 3 grid-points x 2000 m
       kpi = INT( 200.e3 / rn_dx ) + 2
       kpj = 3
@@ -78,11 +78,11 @@
       WRITE(ldtxt(ii),*) '~~~~~~~~~~~ '                                                                 ;   ii = ii + 1
       WRITE(ldtxt(ii),*) '   Namelist namusr_def : OVERFLOW test case'                                  ;   ii = ii + 1
-      WRITE(ldtxt(ii),*) '      type of vertical coordinate : '                                         ;   ii = ii + 1
+      WRITE(ldtxt(ii),*) '      type of vertical coordinate : '                                           ;   ii = ii + 1
       WRITE(ldtxt(ii),*) '         z-coordinate flag                     ln_zco = ', ln_zco             ;   ii = ii + 1
-      WRITE(ldtxt(ii),*) '         z-partial-step coordinate flag        ln_zps = ', ln_sco             ;   ii = ii + 1
+      WRITE(ldtxt(ii),*) '         z-partial-step coordinate flag        ln_zps = ', ln_zps             ;   ii = ii + 1
       WRITE(ldtxt(ii),*) '         s-coordinate flag                     ln_sco = ', ln_sco             ;   ii = ii + 1
       WRITE(ldtxt(ii),*) '      horizontal resolution                    rn_dx  = ', rn_dx, ' meters'   ;   ii = ii + 1
       WRITE(ldtxt(ii),*) '      vertical   resolution                    rn_dz  = ', rn_dz, ' meters'   ;   ii = ii + 1
-      WRITE(ldtxt(ii),*) '      OVERFLOW domain = 200 km  x  3 grid-points  x  2000 m'                  ;   ii = ii + 1
+      WRITE(ldtxt(ii),*) '      OVERFLOW domain = 3 grid-points x 200 km  x 2000 m'                     ;   ii = ii + 1
       WRITE(ldtxt(ii),*) '         resulting global domain size :        jpiglo = ', kpi                ;   ii = ii + 1
       WRITE(ldtxt(ii),*) '                                               jpjglo = ', kpj                ;   ii = ii + 1
@@ -90,9 +90,9 @@
       !
       !                             ! Set the lateral boundary condition of the global domain
-      kperio = 0                    ! OVERFLOW configuration : closed domain
+      kperio = 0                    ! OVERFLOW configuration : close basin
       !
       WRITE(ldtxt(ii),*) '   '                                                                          ;   ii = ii + 1
       WRITE(ldtxt(ii),*) '   Lateral boundary condition of the global domain'                           ;   ii = ii + 1
-      WRITE(ldtxt(ii),*) '      closed                                   jperio = ', kperio             ;   ii = ii + 1
+      WRITE(ldtxt(ii),*) '      east-west cyclic                         jperio = ', kperio             ;   ii = ii + 1
       !
    END SUBROUTINE usr_def_nam
